%define srcversion 2.2.15
%define kversion 2.2.15
%define release 1mdk

Summary: The Linux kernel without patch (the real core of the Linux operating system).
Name: kernel-linus
Version: %{kversion}
Release: %{release}
%define KVERREL %{version}-%{release}
Copyright: GPL
Group: System/Kernel and hardware
ExclusiveArch: i386 i486 i586 i686 k6 alpha sparc sparc64
ExclusiveOS: Linux
Obsoletes: kernel-modules, kernel-sparc
Source0: ftp://ftp.kernel.org/pub/linux/kernel/v2.2/linux-%{srcversion}.tar.bz2
Source19: linux_logo.h.bz2
Source20: kernel-%{version}-i586.config
Source22: kernel-%{version}-alpha.config
Source23: kernel-%{version}-sparc64.config
Source21: rhkmvtag.c
BuildRoot: /%{_tmppath}/%{name}-buildroot
BuildRequires: egcs

%description
The kernel package contains the Linux kernel (vmlinuz), the core of your
Linux Mandrake operating system.  The kernel handles the basic functions
of the operating system:  memory allocation, process allocation, device
input and output, etc.

This version of kernel is a version without any patch just the kernel
like linus out of the press.

%prep
%setup -q -n linux
mv include/linux/linux_logo.h include/linux/linux_logo.h.logomdk
bzcat %{SOURCE19} > include/linux/linux_logo.h
cp $RPM_SOURCE_DIR/rhkmvtag.c .
make clean -C scripts/ksymoops/
find . -name "*.orig"|xargs rm -f
find . -name "*~"|xargs rm -f

%build
rm -rf $RPM_BUILD_ROOT

if [ -x /usr/bin/getconf ] ; then
    NRPROC=$(/usr/bin/getconf _NPROCESSORS_ONLN)
    if [ $NRPROC -eq 0 ] ; then
	NRPROC=1
    fi
else
    NRPROC=1
fi

Config=%{_target_cpu}
KernelVer=%{KVERREL}

cp $RPM_SOURCE_DIR/kernel-%{kversion}-$Config.config arch/%{_arch}/defconfig
rm -f .config
perl -p -i -e "s/^EXTRAVERSION.*/EXTRAVERSION = -%{release}linus/" Makefile

make mrproper
make oldconfig

make dep
make include/linux/version.h
%ifarch i386 i486 i586 i686 k6 k7
make -j $NRPROC bzImage
%else
make -j $NRPROC boot
%endif
make -j $NRPROC modules
find include/linux/modules -size 0 | while read file ; do echo > $file;  done

%install
mkdir -p $RPM_BUILD_ROOT/boot

install -m 644 System.map $RPM_BUILD_ROOT/boot/System.map-%{KVERREL}linus
%ifarch i386 i486 i586 i686 k6 k7
cp arch/i386/boot/bzImage $RPM_BUILD_ROOT/boot/vmlinuz-%{KVERREL}linus
%else
# Only copy the raw version
cp vmlinux $RPM_BUILD_ROOT/boot/vmlinux-%{KVERREL}linus
%endif
mkdir -p $RPM_BUILD_ROOT/lib/modules/$KernelVer/{block,cdrom,fs,ipv4,misc,net,scsi,video}
make INSTALL_MOD_PATH=$RPM_BUILD_ROOT modules_install KERNELRELEASE=%{KVERREL}linus
%ifnarch sparc64
cc -o rhkmvtag rhkmvtag.c init/version.o
./rhkmvtag > $RPM_BUILD_ROOT/lib/modules/$KernelVer/.rhkmvtag
rm -f rhkmvtag
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%pre
/sbin/modprobe loop 2> /dev/null > /dev/null
rm -f /lib/modules/%{KVERREL}linus/modules.dep
exit 0

%files
%defattr(-,root,root)
%ifarch i386 i486 i586 i686 k6 k7
/boot/vmlinuz-%{KVERREL}linus
%else
/boot/vmlinux-%{KVERREL}linus
%endif
/boot/System.map-%{KVERREL}linus
%dir /lib/modules
/lib/modules/%{KVERREL}linus

%changelog
* Fri May  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.15-1mdk
- 2.2.15 final.

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.14-4mdk
- Adjust groups.

* Wed Jan 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.14-3mdk
- don't link to default vmlinu{xz} in %post.
- Don't build rhkmvtag on sparc64.
- Sparc support.

* Thu Jan 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.14-2mdk
- Make alpha compatible (next time for sparc i promise you son of sun).
- Keep linus CFLAGS when compiling the kernel of linus.

* Tue Jan  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.14-1mdk
- 2.2.14.

* Tue Dec 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Build on kernel normal.
- Only one patch to build with gcc2.95.

